AutoCAD VB :: How To Calculate Angle Between 3 Points
Jan 17, 2012
I'm struggling with the maths needed to calculate the angle between 3 points. My eventual aim is to use vba to draw a crescent shape polyline, ie 2 arcs curving in the same direction and joiing at their tips. Both arcs will have different centrepoints but the same radius. The only info I know so far is radius (R), centrepoints (CP1, CP2) and the intersection points where their end points meet (IP1, IP2). I've gotten those points by using the 'IntersectWith' function on two circles.
My coding skills are fine it's just the maths I'm struggling with and after searching google for quite some time I'm still confused. I've looked at loads of differnet formulaes and diagrams, but it always seems like they aren't complete. Maybe it's just me.
View 3 Replies
ADVERTISEMENT
Apr 10, 2002
I have about 30 profiles with water pipe lines that I need to measure all their vertical angles. since the vetical scale is exaggerated so I can't use the acad angular icon tool bar. Only thing I cant think of is to block each run then import them back in at 1/10 in y direction. How to get this done faster or more direct by any other methods.
View 6 Replies
View Related
Sep 27, 2013
what I am attempting -
Pick a line
Pick a starting point on the line
Pick a ending point on the line
Pick side to offset
create list of offset points
Create a new line with a offset
I think I could do this using brute force, but would prefer a mathematical solution.
View 9 Replies
View Related
Dec 20, 2012
I've got a closed traverse that has all the elements, but when I try and analyze it, I get the dreaded error: Insufficient angles, distances or points to calculate this loop. Creating a Traverse for Adjustment: [URL]l and my screen capture looks very similar to his, but I'm not getting any results.
View 9 Replies
View Related
Jan 20, 2013
I have a small company doing designs onto mugs, steins, pints, etc. I recently added the ability to do custom photo designs, so now I'm trying to perfect the image curvature for my pint glasses and coming up against a problem.
So - with a pint glass, in order to put a design on it you actually have to curve the image. I'm following this tutorial here - [URL] where he shows how to use GIMP to curve a photo to insert into a tumbler.
I am doing the same process except my dimensions/numbers are different. I need to be able to create the appropriate .points file for my pint glasses but if I use the one he created, my image will be off since the pints don't have the same dimensions as the tumbler he did the tutorial for.
SO - all this to say - how the heck do I calculate what values to put in the points file? For example, on this particular project I need to make an image to be curved up 5/8" on the bottom and 3/4" on the top. He used .25" and .3125" so if I use his file, my designs won't be right.
View 3 Replies
View Related
May 21, 2012
I am doing takeoffs from a CAD drawing. Without getting too deep into it, I have one origin point, and then I have 200 or so points around the origin. I'm trying to find the fastest way to get the X offset, and the Y offset between each point and the origin.
Right now I'm drawing two lines to connect each point to the origin, then using PROPERTIES on the lines where they meet to get each length - I need to be able to see the numbers on the screen for a second while I copy them into a database. But I'm wondering if it would be easier to write a script, or if there happens to be a tool that could do this with fewer clicks.
View 3 Replies
View Related
Apr 12, 2013
In previous version you can rotate the UCS around the Z axis by tying UCS Z at the command prompt and then you were prompted to select two points to defin the angle. Now it uses a point at the ucs icon as the first point and only allows me to pick the second point. Is there a way to pick two points to define the UCS angle? I tried setting the UCS Origin to the first point and that did not work.
Civil 3D 2012 SP3 | Win 7 64-bit SP1
Xeon E5-1620 @ 3.60GHz, 16GB Ram | NVidia Quadro 600
View 6 Replies
View Related
Nov 6, 2013
I need very very often to know the angle between two surfaces to write cnc programms...At the moment i draw allways two lines normal to the line between the two surfaces an use then the angle measuring tool.Works good, faster then bks and dimensioning, but need also time and always need to delete the lines after...
Is it possible to get a lisp which ask für 1 point on the first surface, 1 point on the other surface and two points on the line between the 2 surfaces? So the lisp know 3 points of each surface and can give out the angle between... Should be allways between 0-180°
So it needs only 4 klicks to get a angle! That would be so great! Is there a lisp programmer who can make this possible?
View 9 Replies
View Related
Mar 7, 2014
Imagine a triangle with its top chopped off and the path open at the top. Is there a quick way of selecting those top 2 points and auto extending them to complete the triangle?If I use Object>Path>Average my 2 points move to join in the middle, they don't extend up along the same trajectory to join.
View 2 Replies
View Related
Oct 15, 2008
Im drawing in isometric view and want to change the default drawing angle from 30 degrees to another angle.
View 9 Replies
View Related
Oct 5, 2011
Is there a quick way to rotate an object to match an angle without knowing what the angle is? I am using AutoCAD 2011 now. I was using 2007 and I had an add on command the would rotate an object using a base point and picking the two lines that make up the angle, and it would match the angle you wanted. I can not get that command to load in 2011.
View 4 Replies
View Related
Jul 25, 2012
I have a property line that is N 36d19'52" E but needs to be N 12d52'18" E. The obvious and calculated rotation angle would be 23d27'34" but when I rotate the line by the calculated angle it doesn't rotate to the right angle. It's off by 0d11'10"!? When I draw a line by bearing at N12d52'18" E and inquiry the angle between the property line and the drawn line the angle difference is in fact 23d27'34".
View 1 Replies
View Related
Feb 11, 2011
Let's say I am inserting a square block into a dwg and want to get it parallel to an existing angled line. Do I have to read the angle of the line and insert the block to that angle or is there a quicker way?
View 6 Replies
View Related
May 26, 2013
I have used a driven contraint in a sketch.
Can that also be done in an assembly?
In one assembly I want to make one angle half of a driven angle.
View 3 Replies
View Related
Jul 6, 2013
how to convert "real world" angles of elliptical arcs into those shown in a dxf file?
Say that I have drawn an elliptical arc with its start angle on 210 degrees and an end angle of 324 degrees. The values in a DXF file, for an elliptical arc, have something to do with the contant "PI" (3.14159). I know that a full circle is 2*Pi but how to do this with elliptical arcs!!
View 1 Replies
View Related
Nov 13, 2013
Is there a shortcut to draw a 45 or 90 degree angle from a drawn line on an angle using the pen tool? ie. Rather than just from the x and y axis.
I trace a lot of maps and site plans.
View 19 Replies
View Related
Nov 19, 2012
I would like to draw a smiple line using the transparent command 'AD (angle-distance).
My distance is not horz., so I want to enter the Vertial angle and the slope-distance, in LLD the command was AD VD.
So how do you do this in Civil 3D 2012.
View 1 Replies
View Related
Feb 8, 2013
I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list.
I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....
View 4 Replies
View Related
Mar 5, 2013
I have a large surface (over 1.5 million points and 20 000hectares)
I need to get a point file .csv from the TIN to be able to use it in another program.
-so i've extracted the points from my surface, but they are Autocad points.
-next step is to convert them to civil 3d points.
-I can not select them all when converting them or my computer crashes.
-so i select about 25 000 at a time, the converting takes roughly 10 minutes.
and i have over 1.5 million points to do.
how can i speed this up.
will more ram useful?
View 9 Replies
View Related
May 17, 2013
there is a way to convert land desktop aecc points to cogo points and use the full description?
I do not have access to the ldt files nor to the Descriprion keys file. It would be nice if there was an option to preserve full descriptions when converting (that would be just too simple).
View 0 Replies
View Related
Oct 9, 2012
I have recieved a file with many points and would like to convert them into COGO points in Civil 3D. The problem is; I would like to keep the hole ID's as I convert, I've made a few conversions and lose the hole ID every time (not showing in Name or Description). Is there a seting I am missing to keep these? My aim to to organize the COGO points in different point groups.
View 3 Replies
View Related
Aug 17, 2012
I have a couple points that were part of an import event (data from a previous project) which I want to assign as control points for an incoming traverse, is there any way to assign those as control points? I can't seem to find a way to do that other than perhaps re-importing the specific points as control points and overwriting the existing ones.
View 2 Replies
View Related
Apr 10, 2013
I have a project that was started by leaving all the survey data inside the "All Points" group. So, I'm concerned that when I enter my as built survey points, that even if I put them into their own group, that the original surface will still look at them and just rebuild to my asbuilt data, effectively cancel out the purpose of the asbuilt survey. Will this happen?
I want to take the original points and put them into a group of their own, but I don't know if that will affect anything or not? I have several wetlands already designed on that surface with volume calcs already done too.
What should I do?
View 9 Replies
View Related
Aug 9, 2012
what absolute points and relative points are in AutoCAD. What is the difference?
View 8 Replies
View Related
Jul 31, 2011
I have two locations marked by steel stakes on my land that are also shown on a CAD drawing. The CAD drawing is two dimensional; however, contours are shown. I have physically measured distances between these two known points and numerous other locations that I wish to plot on the CAD drawing. I could always print the CAD drawing to scale and plot the new points on the CAD printout by using the two known locations, a compass to draw arcs and locating the new points by where the arcs intersect. I am sure there is a much more efficient way to plot these new points within the CAD program itself. I have just started to use CAD;
View 1 Replies
View Related
Aug 10, 2013
Let me make my question clearer by considering an example as follows, Assume I have points A, B, C and D in a map. Is there any command that can list the distance between any two points out of all points? e.g. distance of A-B, A-C, A-D, B-C, B-D, C-D.
View 1 Replies
View Related
Jan 27, 2011
i created new polygon´s SDF (ACAD Civil,Map2011). And created new feature from geometry (from 2 closed plines - island). See on attached picture. If polygons are more complex =erroneous result from calculation ("Round ( Area2D ( Geometrie ), 0 ) "). It means ACAD calculate sum 2 areas together, but It should dedust island from main polygon.
View 3 Replies
View Related
Jan 9, 2013
calculate the volume.I attached here my dwg file. I never done this before and I want to know the correct answer when I want my land to be levelled at 6m.How much volume to fill and the land to be removed.
View 9 Replies
View Related
Oct 7, 2012
How to Calcuate the area of a layer, through .NET API ?
View 9 Replies
View Related
Nov 19, 2012
I'm using AutoCAD 2013 x64 and VS2012 Express with ObjectARX 2013. Now I want to calculate the (projected) intersection point of 2 (intersecting) lines in vb.net
After selecting the lines I have this line1.IntersectWith(line2, Intersect.OnBothOperands, intpts, 0, 0)
In Visual studio express 2012 I get the following warning for the above line of
warning BC40000: 'Public Sub IntersectWith(entityPointer As Autodesk.AutoCAD.DatabaseServices.Entity, intersectType As Autodesk.AutoCAD.DatabaseServices.Intersect, points As Autodesk.AutoCAD.Geometry.Point3dCollection, thisGraphicSystemMarker As Long, otherGraphicSystemMarker As Long)' is obsolete: 'Use the overload taking IntPtr instead.'.
So, if I'm reading this correctly, this method is outdated and I should use an other method to calculate the intersection. But I really don't know what 'Use the overload taking IntPtr instead' means.
One of the things I found is a function that contains this line of Dim inters As Point3d = line1.IntersectWith(line2)(0). This one looks almost the same, but doesn't give me the warning when I compile the code, but this method crashes AutoCAD when there is no intersection between the lines. This is despite a try catch block that surrounds the code.
For now I just want to use lines, but I need to expand the code so it will also work with circles, arcs and polylines.
View 6 Replies
View Related
Apr 3, 2013
I draw something one the drawing fisrt,
then open one windows form。
The problem is the form location。I do not want the form cover the graphic what i was drawing before.
Maybe, there is a way to Caculate the Point of the screen by Entity
View 6 Replies
View Related